Restore article revision
curl --request POST \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/revisions/{revision_id}/restoration \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'POST', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/revisions/{revision_id}/restoration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/revisions/{revision_id}/restoration"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"article": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "getting-started",
"state": "draft",
"title": "Getting Started Guide",
"is_archived": true,
"draft_title": "<string>"
}
}{
"error": "Not found."
}{
"error": "<string>"
}Articles
Restore article revision
This API copies the title and HTML content of a revision into the article’s draft. The live content does not change until you publish. For CLI sessions, this needs the Modify articles permission. A synced article cannot be restored.
POST
/
articles
/
{article_id}
/
revisions
/
{revision_id}
/
restoration
Restore article revision
curl --request POST \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/revisions/{revision_id}/restoration \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'POST', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/revisions/{revision_id}/restoration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/revisions/{revision_id}/restoration"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"article": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "getting-started",
"state": "draft",
"title": "Getting Started Guide",
"is_archived": true,
"draft_title": "<string>"
}
}{
"error": "Not found."
}{
"error": "<string>"
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique identifier of the article. Can be the article's slug, permalink, or ID. Refer to Getting the Article ID section for detailed instructions.
Unique identifier of the revision. Get it from List article revisions.
Response
OK - Revision copied into the draft